<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.activity.home.title">Activities</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-activity" [routerLink]="['/activity/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.activity.home.createLabel">
            Create a new Activity
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="activities?.length === 0">
        <span jhiTranslate="tfsBackendApp.activity.home.notFound">No activities found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="activities && activities.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.activity.activityNameFR">Activity Name FR</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.activity.activityNameEN">Activity Name EN</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let activity of activities ;trackBy: trackId">
                    <td><a [routerLink]="['/activity', activity.id, 'view']">{{ activity.id }}</a></td>
                    <td>{{ activity.activityNameFR }}</td>
                    <td>{{ activity.activityNameEN }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/activity', activity.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/activity', activity.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(activity)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
